ID CVE-2019-17362
Summary In LibTomCrypt through 1.18.2, the der_decode_utf8_string function (in der_decode_utf8_string.c) does not properly detect certain invalid UTF-8 sequences. This allows context-dependent attackers to cause a denial of service (out-of-bounds read and crash) or read information from other memory locations via carefully crafted DER-encoded data.
References
Vulnerable Configurations
  • cpe:2.3:a:libtom:libtomcrypt:0.75:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.75:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.76:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.76:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.77:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.77:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.78:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.78:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.79:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.79:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.80:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.80:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.81:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.81:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.82:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.82:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.83:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.83:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.84:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.84:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.85:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.85:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.86:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.86:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.87:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.87:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.88:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.88:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.89:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.89:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.90:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.90:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.91:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.91:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.92:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.92:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.93:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.93:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.94:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.94:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.95:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.95:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.96:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.96:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.97:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.97:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.98:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.98:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:0.99:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:0.99:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.00:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.00:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.01:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.01:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.02:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.02:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.03:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.03:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.04:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.04:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.05:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.05:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.06:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.06:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.07:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.07:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.08:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.08:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.09:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.09:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.10:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.10:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.11:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.11:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.12:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.12:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.13:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.13:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.14:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.14:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.15:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.15:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.16:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.16:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.17:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.17:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.18.0:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.18.0:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.18.1:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.18.1:*:*:*:*:*:*:*
  • cpe:2.3:a:libtom:libtomcrypt:1.18.2:*:*:*:*:*:*:*
    cpe:2.3:a:libtom:libtomcrypt:1.18.2:*:*:*:*:*:*:*
  • cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
    cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
CVSS
Base: 6.4 (as of 15-10-2019 - 16:27)
Impact:
Exploitability:
CWE CWE-125
CAPEC
  • Overread Buffers
    An adversary attacks a target by providing input that causes an application to read beyond the boundary of a defined buffer. This typically occurs when a value influencing where to start or stop reading is set to reflect positions outside of the valid memory location of the buffer. This type of attack may result in exposure of sensitive information, a system crash, or arbitrary code execution.
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL NONE PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:P/I:N/A:P
Last major update 15-10-2019 - 16:27
Published 09-10-2019 - 01:15
Last modified 09-11-2019 - 19:15
Back to Top